import axios from '@/libs/axios.js'
// 查询门店列表
export const findStoreList = param => {
  return axios.request({
    url: `store/findList`,
    method: 'post',
	data: param
  })
}
// 查询门店摄像头流列表
export const findVsDeviceChannels = param => {
  return axios.request({
    url: `vs/device/channels/${param.deviceId}`,
    method: 'get',
  })
}
//查询门店绑定设备
export const findStoreVsDevice = param => {
  return axios.request({
    url: `storeVsDevice/findStoreVsDevice/${param.storeCode}`,
    method: 'get',
  })
}
// 拍照截图
export const photoPaiZhao = param => {
  return axios.request({
    url: `vs/stream/streamSnapshot/${param.streamId}`,
    method: 'get',
  })
}
// 获取播放地址
export const getVideoUrl = param => {
  return axios.request({
    url: `vs/stream/url/${param.streamId}/${param.outProtocol}`,
    method: 'get',
  })
}